
// Mover3D.java
// Thana Konglikhit, October 2003, s4310170@maliwan.psu.ac.th
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* 3D-postava schopná pohybu v šachovnicovém světě.
   Postavou lze pohybovat (jako spritem v aplikace Tour3D),
   má však také pohyblivé končetiny.

   Panel s příkazy umožňuje zadávat příkazy pro postavu a končetiny.
   Uživatel také může ovládat pozici postavy pomocí kláves.
*/


import javax.swing.*;
import java.awt.*;


public class Mover3D extends JFrame
{  
  public Mover3D() 
  {
    super("3D Moveable Figure");
    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapMover3D w3d = new WrapMover3D();
    c.add(w3d, BorderLayout.CENTER);

    Figure figure = w3d.getFigure();
    CommandsPanel cp = new CommandsPanel(figure); 
    c.add( cp, BorderLayout.SOUTH);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: Mover3D()


// -----------------------------------------

  public static void main(String[] args)
  {  new Mover3D(); }

} // konec třídy: Mover3D class

